;+
;
; @history Sebastien Masson (smasson@lodyc.jussieu.fr)
;			June 2005
;-
@cm_general
;
; printer environment
;
; printer_human_names: a string array specifying the name of the
;                      available printers such as ['color printer',
;                      'black and while']
; printer_machine_names: a string array specifying the IP address or
;                        the name usable by the lpr command
;
; print_command: a scalar or array variable of string type, defining
;                the command that must be used to print a postscript.
;                This command must be defined/build in a way that it the
;                instruction:
;                  print_command+printer_machine_names[i]+' '+file.ps
;                or
;                  print_command[i]+printer_machine_names[i]+' '+file.ps
;                is working. default definition is '\lpr -P'
;
COMMON for_printers, printer_human_names, printer_machine_names, print_command
;
; page configuration
;
; page_size: a 2 elements array specifying the size of the page
;            in cm (for example a4 pages: page_size = [21.,29.7]
; page_margins: a 4 elements array specifying the size in cm of the
;               margins on left, right, bottom, up side of the page
;               (where nothing is supposed to be drawn).
;               default is [1., 1., 1., 1.]
; key_portrait = 1 for portrait page or 0 for landscape page
;
COMMON page_setup, page_size, page_margins
COMMON keys_ps, key_portrait
;
; postscript archiving
;
; archive_ps = 0 -> nothing is done
; archive_ps = 1 -> each printed ps has its name and creation date
;                   written in the bottom-left corber of the page
;                   and is gzipped in the psdir directory
; archive_ps > 1 -> question is asked to know if ps file has to be
;                   achived or not
;
COMMON ps_archiving, archive_ps
;
; graphic window size
;
; windowsize_scale: the size of the graphic window will (should) be equal to
;                   windowsize_scale * page_size. default definition is
;                   windowsize_scale = 1. The smaller windowsize_scale
;                   is, the larger are the differences between the plots in
;                   graphic window and the corresponding plots in postscript
;                   mode.
;
COMMON  windowsize_scale, windowsize_scale
